#include<iostream>
#include<iomanip>
using namespace std;
int main(){
    int n;
    cin>>n;
    int a[n],i,j,s;
    double p[n],z[n],maxz;
    for(i=0;i<n;i++)
        cin>>a[i]>>p[i];
    for(i=0;i<n;i++){
        s=0;
        for(j=0;j<n;j++){
            if(p[i]<=p[j])
                s+=a[j];
        }
        z[i]=(p[i]/100)*s;
    }
    maxz=z[0];
    for(i=1;i<n;i++){
        if(z[i]>maxz)
            maxz=z[i];
    }
    cout<<fixed<<setprecision(4)<<maxz;
}